org.apache.ignite.mxbean

## Interface TransactionMetricsMxBean

All Superinterfaces:
  TransactionMetrics

All Known Implementing Classes:
  TransactionMetricsMxBeanImpl

Deprecated.
Use `GridMetricManager` instead.

    @Deprecated
     @MXBeanDescription(value="MBean that provides access to Ignite transactions.")
    public interface TransactionMetricsMxBean
    extends TransactionMetrics

Transactions MXBean interface.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`long` `commitTime()` Deprecated. The last time, when transaction was commited.
`Map<String,String>` `getAllOwnerTransactions()` Deprecated. All near transactions
`long` `getLockedKeysNumber()` Deprecated. The number of keys locked on the node.
`Map<String,String>` `getLongRunningOwnerTransactions(int duration)` Deprecated. Long running near transactions
`long` `getOwnerTransactionsNumber()` Deprecated. The number of active transactions for which this node is the initiator.
`long` `getTransactionsCommittedNumber()` Deprecated. The number of transactions which were committed.
`long` `getTransactionsHoldingLockNumber()` Deprecated. The number of active transactions holding at least one key lock.
`long` `getTransactionsRolledBackNumber()` Deprecated. The number of transactions which were rollback.
`long` `rollbackTime()` Deprecated. The last time, when transaction was rollbacked.
`int` `txCommits()` Deprecated. The total number of commited transactions.
`int` `txRollbacks()` Deprecated. Tne total number of rollbacked transactions.

### Method Detail

#### getAllOwnerTransactions

    @MXBeanDescription(value="All near transactions.")
    Map<String,String> getAllOwnerTransactions()

Deprecated.
All near transactions

Specified by:
  `getAllOwnerTransactions` in interface `TransactionMetrics`
Returns:
  near transactions.

#### getLongRunningOwnerTransactions

    @MXBeanDescription(value="Long running near transactions.")
    Map<String,String> getLongRunningOwnerTransactions(@MXBeanParameter(name="duration",description="Duration, at least (ms).")
                                                                                                                   int duration)

Deprecated.
Long running near transactions

Specified by:
  `getLongRunningOwnerTransactions` in interface `TransactionMetrics`
Returns:
  near transactions.

#### getTransactionsCommittedNumber

    @MXBeanDescription(value="The number of transactions which were committed.")
    long getTransactionsCommittedNumber()

Deprecated.
The number of transactions which were committed.

Specified by:
  `getTransactionsCommittedNumber` in interface `TransactionMetrics`
Returns:
  number of transactions which were committed.

#### getTransactionsRolledBackNumber

    @MXBeanDescription(value="The number of transactions which were rollback.")
    long getTransactionsRolledBackNumber()

Deprecated.
The number of transactions which were rollback.

Specified by:
  `getTransactionsRolledBackNumber` in interface `TransactionMetrics`
Returns:
  number of transactions which were rollback.

#### getTransactionsHoldingLockNumber

    @MXBeanDescription(value="The number of active transactions holding at least one key lock.")
    long getTransactionsHoldingLockNumber()

Deprecated.
The number of active transactions holding at least one key lock.

Specified by:
  `getTransactionsHoldingLockNumber` in interface `TransactionMetrics`
Returns:
  number of active transactions holding at least one key lock.

#### getLockedKeysNumber

    @MXBeanDescription(value="The number of keys locked on the node.")
    long getLockedKeysNumber()

Deprecated.
The number of keys locked on the node.

Specified by:
  `getLockedKeysNumber` in interface `TransactionMetrics`
Returns:
  number of keys locked on the node.

#### getOwnerTransactionsNumber

    @MXBeanDescription(value="The number of active transactions for which this node is the initiator.")
    long getOwnerTransactionsNumber()

Deprecated.
The number of active transactions for which this node is the initiator.

Specified by:
  `getOwnerTransactionsNumber` in interface `TransactionMetrics`
Returns:
  number of active transactions for which this node is the initiator.

#### commitTime

    @MXBeanDescription(value="Last commit time.")
    long commitTime()

Deprecated.
The last time, when transaction was commited.

Specified by:
  `commitTime` in interface `TransactionMetrics`
Returns:
  last time, when transaction was commited.

#### rollbackTime

    @MXBeanDescription(value="Last rollback time.")
    long rollbackTime()

Deprecated.
The last time, when transaction was rollbacked.

Specified by:
  `rollbackTime` in interface `TransactionMetrics`
Returns:
  last time, when transaction was rollbacked.

#### txCommits

    @MXBeanDescription(value="Number of transaction commits.")
    int txCommits()

Deprecated.
The total number of commited transactions.

Specified by:
  `txCommits` in interface `TransactionMetrics`
Returns:
  total number of commited transactions.

#### txRollbacks

    @MXBeanDescription(value="Number of transaction rollbacks.")
    int txRollbacks()

Deprecated.
Tne total number of rollbacked transactions.

Specified by:
  `txRollbacks` in interface `TransactionMetrics`
Returns:
  total number of rollbacked transactions.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021